Album: Corporate Holiday Hits
Directory Suffix: vast-error
Date: December 25, 2020
Date Added: October 25, 2023
URLs:
- https://vasterror.bandcamp.com/album/corporate-holiday-hits
Cover Artists:
- Dani Calzone
Cover Art File Extension: png
Track Art File Extension: png
Cover Art Dimensions: 2000x1989
Color: '#1DE3CB'
Groups:
- Deconreconstruction
- Fandom
---
Track: Eve
Suffix Directory: true
Always Reference By Directory: true
Artists:
- Kohauro
Duration: 02:10
URLs:
- https://vasterror.bandcamp.com/track/eve
Referenced Tracks:
- Anywhere Can Be Paradise
---
Track: 'Joy To This Rotten, Desolate Carcass Of A World'
Artists:
- Alex Votl
Duration: 03:55
URLs:
- https://vasterror.bandcamp.com/track/joy-to-this-rotten-desolate-carcass-of-a-world
---
Track: Holiday Shopping
Artists:
- pragmaticNihilist
Duration: 02:46
URLs:
- https://vasterror.bandcamp.com/track/holiday-shopping
---
Track: No Rest For The Wicked
Artists:
- Veritas Unae
Duration: 02:11
Referenced Tracks:
- track:god-rest-you-merry-gentlemen
- Solana
- Gravitational Pull
URLs:
- https://vasterror.bandcamp.com/track/no-rest-for-the-wicked-2
---
Track: Hearts In The Wrong Place
Artists:
- Cristata
Duration: 02:02
URLs:
- https://vasterror.bandcamp.com/track/hearts-in-the-wrong-place
---
Track: Last Yulepassing
Artists:
- Cerulean
Contributors:
- Ucklin (vocals, lyrics)
Referenced Tracks:
- Instant Crush
Duration: 04:50
Lyrics: |-
    Last Yulepassing
    All the starfish glowing
    Inky waves above me
    Sparkling sands below
    
    Last Yulepassing
    That was when you called me
    When you called and said that you could "fix it all"
    
    This sweep you've got the nerve to call me again
    You think I’ll fall for you just like I did back then?
    You’re ringing out and I see nothing but my phone
    No easy answers, yeah, we really should have known
    
    This sweep you've got the nerve to call me again
    You think I’ll fall for you just like I did back then?
    You’re ringing out and I see nothing but my phone
    No easy answers, yeah, we really should have known...
    
    I know you said it because you wanted it to be true
    I know it’s been a while, I shouldn’t be so mad at you...
    
    Last Yulepassing
    All the signs were glowing
    But I didn’t see them
    It was going to snow
    
    Last Yulepassing
    You said you would "save me"
    All the heart and spadebreak, if I stuck with you
    
    This sweep you've got the nerve to call me again
    You think I’ll fall for you just like I did back then?
    You’re ringing out and I see nothing but my phone
    No easy answers, yeah, we really should have known
    
    Next Yulepassing
    Maybe I can call you
    I can ask: "how are you?"
    and we’ll be okay
    
    Next Yulepassing
    Maybe I can call you
    I can ask: "how are you?"
    and we’ll be okay
URLs:
- https://vasterror.bandcamp.com/track/last-yulepassing-2
---
Track: Seasonal Contentment
Artists:
- dbnet18
Duration: 02:03
URLs:
- https://vasterror.bandcamp.com/track/seasonal-contentment-2
---
Track: Corporate Merriment Jingle 32
Artists:
- SplitSuns
Duration: 05:03
Referenced Tracks:
- Wonderful Christmastime
- Last Christmas
URLs:
- https://vasterror.bandcamp.com/track/corporate-merriment-jingle-32
---
Track: 'RECALL: A Winter Long Past'
Artists:
- Kal-la-kal-la
Duration: 04:09
Lyrics: |-
    Do the compecados in the Northern Wastes drag in gifts from the cold to present to their mates?
    And when the suns reflect the blood on the snow, do they mark Yulepassing Day?
    
    Do the trees of the snowfields clap their hands and rejoice?
    Would I stand in their stead if I was given a choice?
    And when the trash on the shore bleeds into the sand, do its memories drain away?
    
    Might they feel like I do in my barren living room?
    Where the stronghold lights cast narrow beams through the gloom
    Where the aches weigh on me, through TEMP's and drugs and tears
    Remembering how the season shone when you were still here
    
    In the strange and distant cities of the past, that left behind ruins ancient and vast
    Did the memories of the dead haunt the living as they do today?
    
    In the Bizkantine temples and Rennaisance arcades, on forgotten pathways down to moonlit glades
    Did they stop and feel the ghosts in their hearts bleed the verdant world to gray?
    
    The world's an ugly place
    No salvation awaits
    But the weight of your absence, like black wings unfurled, marks out a scar on the soul of the world
    While the streetlights are shining and there's music all round
    Trees are decked out in tinsel, snow covers the ground
    
    Still I spend my each evening in my barren living room
    Where the stronghold lights cast narrow beams through the gloom
    Where the aches weigh on me, through TEMP's and drugs and tears
    Remembering how the season shone when you were still here
URLs:
- https://vasterror.bandcamp.com/track/recall-a-winter-long-past-2
---
Track: Dawn
Suffix Directory: true
Always Reference By Directory: true
Artists:
- Kohauro
Duration: 04:11
URLs:
- https://vasterror.bandcamp.com/track/dawn
Referenced Tracks:
- Anywhere Can Be Paradise
